<?php

namespace Modules\Core\Enums;

enum AddressTypeEnum : string
{
    case Present = 'Present';
    case Permanent = 'Permanent';

    public const PRESENT = self::Present->value;
    public const PERMANENT = self::Permanent->value;

    public static function casesAsArray(): array
    {
        return array_map(fn(self $case) => $case->value, self::cases());
    }
}
